This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1001338 - Migrate to Bluez 5
Migrate to Bluez 5
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: release-notes (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Travis
Fedora Docs QA
: Tracking
Depends On: 998563
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 18:35 EDT by Pete Travis
Modified: 2014-01-26 17:05 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 998563
Environment:
Last Closed: 2014-01-26 17:05:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pete Travis 2013-08-26 18:35:07 EDT
+++ This bug was initially created as a clone of Bug #998563 +++

This is a tracking bug for Change: Migrate to Bluez 5
For more details, see: http://fedoraproject.org//wiki/Changes/Bluez5

BlueZ is the Linux Bluetooth stack for managing wireless Bluetooth devices. In Fedora 20, we are going to switch from BlueZ version 4 to version 5.

Discussion at https://lists.fedoraproject.org/pipermail/devel-announce/2013-August/001227.html


Please create entries for this Change in the Release Notes.
Comment 1 Pete Travis 2013-10-05 18:16:54 EDT
draft content at https://fedoraproject.org/wiki/Documentation_Networking_Beat
Comment 2 Carl van Tonder 2014-01-06 10:29:29 EST
There is at least one regression as a result of this change -- bluetooth audio devices can no longer be used in "headset" (HSP) mode -- see bug #1045548.

This regression is documented in the draft release notes for Pulseaudio 5.0[0], which say (in "Notes for packagers"):

> PulseAudio now supports BlueZ 5, but only the A2DP profile. BlueZ 4 is still the only way to make HSP/HFP work.

This notice should, I think, be in the F20 release notes to avoid unpleasant surprises.

[0] http://www.freedesktop.org/wiki/Software/PulseAudio/Notes/5.0/
Comment 3 Pete Travis 2014-01-26 17:05:38 EST
Carl, it is unfortunate that we (I) missed this when composing the release notes.  I think the way forward is working to get the functionality added; for future releases, your help in creating the release notes *before* release would be welcome.

Note You need to log in before you can comment on or make changes to this bug.